id: procore-panel

info:
  name: Procore Login - Panel
  author: rxerium
  severity: info
  metadata:
    max-request: 2
    verified: true
    shodan-query: http.favicon.hash:1952289652
  tags: panel,login,detect,procore

http:
  - method: GET
    path:
      - "{{BaseURL}}"
      - "{{BaseURL}}/favicon.ico"
      - "{{BaseURL}}/images/favicon.ico"

    stop-at-first-match: true
    matchers-condition: or
    matchers:
      - type: dsl
        dsl:
          - "status_code==200 && (\"1952289652\" == mmh3(base64_py(body)))"

      - type: word
        words:
          - '<title>Procore Log In</title>'
          - 'Log in to your Procore account using your email and password'
        condition: and
# digest: 490a0046304402206dfe9eee7fb90bc599a9bbd67bd164a1dfd8a1486c44b69a2b25a441a85d65a00220605c2d56df044f23539a89fb8b4d123a64f4c729307311de8e1548b7db880493:922c64590222798bb761d5b6d8e72950